#include <iostream>
 
using namespace std;
 
int main() {
    ios_base::sync_with_stdio(false);
 
    int bs, vp;
    cin >> bs >> vp;
 
    int visine[1000];  
    for (int i = 0; i < bs; ++i) {
        cin >> visine[i];
    }
 
    for (int i = 0; i < bs; ++i) {
        if (visine[i] <= vp) {
            cout << i + 1 << "\n";
            return 0;
        }
    }
 
    cout << -1 << "\n";
    return 0;
}
//a svi mi kazu cimicimi nije to tako pa nego kako li je j ti pilav